body {
    font-family: 'Playfair Display', serif;
    margin: 30px;
    margin-bottom: 100px;
}

h1, h2, h3, h4 {
    font-weight: 400;
}

h1 {
    font-size: 35px;
}

p {
    line-height: 1.5;
}

a {
    color: #00478F;
}

a.backlink {
    text-decoration: none;
    color: black;
}

#intro a, h2 a, h1 a {
    text-decoration: none;
    color: black;
}

a:hover {
    text-decoration: none;
}

input, textarea, select {
    -webkit-appearance: none;
    -webkit-border-radius: 0;
    line-height: 1.5;
}

input[type=text], input[type=email] {
    border: 0;
    display: block;
    padding: 15px;
    width: 100%;
    box-sizing: border-box;
    font-family: 'Playfair Display', serif;
    font-size: 16px;
    border-bottom: 1px solid #ddd;
    margin: 15px 0;
    resize: none;
}

textarea:focus, input:focus{
    outline: none;
}

input[type=submit] {
    -webkit-border-radius: 0;
}

#subtitle {
    font-size: 18px;
}

#logo {
    margin: 0 auto;
    display: block;
}

.wrapper {
    width: 800px;
    margin: 0 auto;
}

.center {
    text-align: center;
}

#intro {
    border-top: 1px solid #ddd;
    border-bottom: 1px solid #ddd;
    padding: 25px;
    margin: 25px 0;
}

#storyform textarea {
    border: 0;
    display: block;
    padding: 25px;
    height: 80vh;
    width: 100%;
    box-sizing: border-box;
    font-family: 'Playfair Display', serif;
    font-size: 16px;
    border-bottom: 1px solid #ddd;
    margin-bottom: 25px;
    resize: none;
}

input[type=submit] {
    background: #00478F;
    text-transform: uppercase;
    font-weight: 400;
    border: 0;
    color: white;
    padding: 1rem;
    width: 100%;
    box-sizing: border-box;
    font-family: 'Playfair Display', serif;
    font-size: 16px;
    letter-spacing: 5px;
}

#story-text-input {
    position: relative;
}

#story-text-character-count {
    font-size: 14px;
    top: 0;
    right: 0;
    position: absolute;
    padding: 5px 10px;
    background: #f8f8f8;
}

#story-photo-upload {
    height: 30vh;
    border: 1px dashed #ddd;
    margin-bottom: 25px;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 15px;
    box-sizing: border-box;
}

#story-photo-upload:before {
    content: 'Drop a photo here to illustrate your story.';
    text-align: center;
}

#story-photo-upload-preview .dz-preview {
    position: relative;
}

#story-photo-upload-preview .dz-progress {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(255, 255, 255, 0.5);
}

.dz-complete .dz-progress {
    display: none;
}

.dz-image img {
    width: 100%;
    height: auto;
}

.dz-drag-hover {
    border: 1px solid #888 !important;
}

#story-photo-upload-preview .dz-progress > span {
    background: #00478F;
    border-bottom: 1px solid white;
    height: 10px;
    display: block;
    width: 0;
}

#story-photo-upload-preview {
    margin-bottom: 25px;
}

#story-photo-upload-preview .dz-details,
#story-photo-upload-preview .dz-filename,
#story-photo-upload-preview .dz-success-mark,
#story-photo-upload-preview .dz-error-mark,
#story-photo-upload-preview .dz-error-message {
    display: none;
}

.within-limits {
    color: #5f9935;
}

.outside-limits {
    color: #dd3019;
}

#line {
    position: absolute;
    width: 75px;
    margin-top: 40px;
    z-index: -1;
    height: auto;
}

article img.illustration, img.map-preview {
    width: 100%;
    height: auto;
    margin: 20px 0;
}

.author {
    display: flex;
    justify-content: flex-start;
    align-items: center;
}

.author img {
    border-radius: 50%;
    width: 30px;
    height: auto;
    margin-right: 10px;
}

article {
    border-bottom: 1px solid #ddd;
    padding: 25px;
    margin-bottom: 25px;
}

article h2 {
    margin-top: 0;
}

.publication-time {
    color: #aaa;
    margin-bottom: 1em;
}

footer {
    width: 800px;
    margin: 0 auto;
    min-height: 140px;
    display: flex;
    align-items: flex-end;
    box-sizing: border-box;
    text-align: center;
}

footer a {
    flex: 1 1 auto;
    color: #717171;
    font-size: 14px;
    text-decoration: none;
}

.author .winner {
    font-size: 14px;
    margin-left: 10px;
    border-radius: 10px;
    background: #ff9e00;
    padding: 5px 10px;
    color: white;
}

.button {
    display: block;
    color: white;
    padding: 1rem;
    background: #00478F;
    text-decoration: none;
    text-transform: uppercase;
    font-weight: 400;
    letter-spacing: 0.2rem;
    margin: 1rem;
}

ul.pagination {
    list-style-type: none;
    margin-top: 50px;
    padding: 0;
    display: flex;
    justify-content: center;
}

ul.pagination li {
    line-height: 30px;
    margin: 0 10px;
}

ul.pagination li a {
    text-decoration: none;
    width: 30px;
    height: 30px;
    border: 1px solid rgb(222, 223, 227);
    border-radius: 4px;
    text-align: center;
    display: inline-block;
}

ul.pagination li.nextprev a {
    width: auto;
    padding: 0 15px;
}

ul.pagination li.active a {
    background: #00478F;
    color: white;
}

.our-avatar {
    width: 50px;
    height: 50px;
    border: 1px solid #ddd;
    border-radius: 25px;
    overflow: hidden;
    flex-basis: 50px;
}

.our-comment {
    display: flex;
    margin-bottom: 35px;
}

.our-comment-name-and-text {
    flex: 1;
    margin-left: 15px;
    margin-right: 65px;
    background: #eee;
    padding: 15px 20px;
    border-radius: 15px;
}

.our-name {
    font-weight: bold;
    margin-bottom: 0.25em;
}

@media only screen and (max-width : 1024px) {
    body {
        margin: 10vw 5vw;
        font-size: 4.2vw;
    }

    .wrapper, footer {
        width: initial;
    }

    #story-photo-upload-preview {
        margin-bottom: 5vw;
    }

    #story-photo-upload {
        margin-bottom: 5vw;
    }

    #story-text-character-count {
        font-size: 3.5vw;
        padding: 2vw 5vw;
        z-index: 1000;
    }

    h1 {
        font-size: 8vw;
    }

    #subtitle {
        font-size: 5vw;
    }

    #intro {
        padding: 5vw 0;
        margin: 5vw 0;
    }

    #storyform textarea {
        padding: 10vw 0;
        height: 70vh;
        font-size: 4.2vw;
        margin-bottom: 5vw;
    }

    input[type=text], input[type=email] {
        padding: 4vw;
        font-size: 4.2vw;
        margin: 4vw 0;
    }

    #line {
        width: 17vw;
        margin-top: 9.2vw;
    }

    article img, img.map-preview {
        margin: 4vw 0;
    }

    .author img {
        width: 8vw;
        margin-right: 3vw;
    }

    article {
        padding: 5vw 0;
        margin-bottom: 5vw;
    }

    footer {
        align-items: center;
        flex-direction: column;
        padding: 20vw 0 5vw 0;
    }

    footer > a {
        padding: 4vw 0;
    }

    #story-photo-upload:before {
        content: 'Tap here to select a photo to illustrate your story.';
    }

    ul.pagination {
        margin-top: 12vw;
    }

    ul.pagination li {
        line-height: 12vw;
        margin: 0;
    }

    ul.pagination li a {
        width: 12vw;
        height: 12vw;
        border-radius: 0;
        border-right-width: 0;
        font-size: 5vw;
    }

    ul.pagination li.first-number a {
        border-top-left-radius: 4px;
        border-bottom-left-radius: 4px;
    }

    ul.pagination li.last-number a {
        border-top-right-radius: 4px;
        border-bottom-right-radius: 4px;
        border-right-width: 1px;
    }

    ul.pagination li.nextprev {
        display: none;
    }

    .our-comment {
        margin-bottom: 8vw;
    }

    .our-comment-name-and-text {
        margin-left: 4.2vw;
        margin-right: 0;
        padding: 3vw 5vw;
        border-radius: 3vw;
    }
}
